org.apache.hadoop.hdfs.shortcircuit

## Interface ShortCircuitCache.CacheVisitor

- Enclosing class:
    org.apache.hadoop.hdfs.shortcircuit.ShortCircuitCache

      public static interface ShortCircuitCache.CacheVisitor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `visit(int numOutstandingMmaps, Map<org.apache.hadoop.hdfs.ExtendedBlockId,org.apache.hadoop.hdfs.shortcircuit.ShortCircuitReplica> replicas, Map<org.apache.hadoop.hdfs.ExtendedBlockId,org.apache.hadoop.security.token.SecretManager.InvalidToken> failedLoads, org.apache.commons.collections.map.LinkedMap evictable, org.apache.commons.collections.map.LinkedMap evictableMmapped)`

- - ### Method Detail

    - #### visit

          void visit(int numOutstandingMmaps,
                     Map<org.apache.hadoop.hdfs.ExtendedBlockId,org.apache.hadoop.hdfs.shortcircuit.ShortCircuitReplica> replicas,
                     Map<org.apache.hadoop.hdfs.ExtendedBlockId,org.apache.hadoop.security.token.SecretManager.InvalidToken> failedLoads,
                     org.apache.commons.collections.map.LinkedMap evictable,
                     org.apache.commons.collections.map.LinkedMap evictableMmapped)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.